LinHES - Feature # 1002: mpd outdated

Status: Closed Priority: Normal

Author: mikavir Category: Packages: Extra

Created: 06/06/2016 Assignee: brfransen

Updated: 06/10/2016 Due date:

Description: Again, mpd version has fallen behind in the extra repository and fails to execute complaining about

libnfs.so.1. The version in extra is 0.19.9-3 and the current version is 0.19.15.

$ mpd
mpd: error while loading shared libraries: libnfs.so.1: cannot open shared object file: No such file or directory

Please, update mpd in extra.

Associated revisions

06/08/2016 04:04 pm - brfransen
mpd: update to 0.19.15. closes #1002

History

06/09/2016 08:41 pm - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:74807f5f416c4dd58b6c85b3df17b769413cced5.

06/10/2016 10:36 am - mikavir

Well, thanks brfransen for a quick update. It was a wise move to put mpd 0.19.15 in extra-testing repository, since this version fails also... This time mpd
complains about libavformat.s0.57 missing. Looking at https://www.musicpd.org, the latest update moved to using ffmpeg 3.0. So | _guess_ 0.19.14

could be a compatible mpd -version.

$ mpd
mpd: error while loading shared libraries: libavformat.s0.57: cannot open shared object file: No such file or directory

06/10/2016 12:47 pm - brfransen

- Target version set to 8.4

- Assignee set to brfransen

- Category set to Packages: Extra

You need to install ffmpeg 3.0 which is also in testing. But since there are so many deps that go into ffmpeg and mpd it is best to switch to the testing
repos and update.
